Skip site navigation (1)Skip section navigation (2)
Date:      Fri, 28 Jan 2011 11:59:34 -0500
From:      William Bulley <web@umich.edu>
To:        Warren Block <wblock@wonkity.com>
Cc:        David Demelier <demelier.david@gmail.com>, freebsd-questions@freebsd.org
Subject:   Re: Problem building GIMP 2.6.11 on 8.2-PRERELEASE
Message-ID:  <20110128165934.GA72065@itcom245.staff.itd.umich.edu>

Next in thread | Raw E-Mail | Index | Archive | Help
According to Warren Block <wblock@wonkity.com> on Thu, 01/27/11 at 16:41:
> >
> >Which is the correct port to install this "poppler-cairo" file?
>=20
> poppler-0.14.5
>=20
> Be sure to clean it before rebuilding and installing.

Thanks for the reply.

I did a "make deinstall" in /usr/ports/graphics/poppler and it claimed
an include directory was not able to be deleted.  I deleted this directory
by hand - something about the packing list being incorrect or something.

Then I did a "make clean" in the same graphics/poppler directory.

I followed this with a "make install" and when that completed with
success, I issued this:

   # ls -l /usr/local/libdata/pkgconfig/poppler-cairo.pc
   ls: /usr/local/libdata/pkgconfig/poppler-cairo.pc: No such file or direc=
tory

This from the Makefile therein:

   PORTNAME=3D       poppler
   PORTVERSION=3D    0.14.5
   PORTREVISION?=3D  0

So something is clearly wrong here.  The /var/db/ports/poppler/OPTIONS
file had:

   WITHOUT_CAIRO=3Dyes

inside, so I changed that to WITH_CAIRO=3Dyes and repeated the above steps.

The file /usr/local/libdata/pkgconfig/poppler-cairo.pc is now there!

However, I still get this error when I attempt to rebuild the Gimp
using "make clean" and "make install" inside /usr/ports/graphics/gimp:

cc -DHAVE_CONFIG_H -I. -I../.. -I../.. -D_THREAD_SAFE -D_REENTRANT -I/usr/l=
ocal/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include -I/usr/local/include/=
atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/gdk-pixbuf-2.0 -I/u=
sr/local/include/pango-1.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/local/=
include -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/=
usr/local/include/pixman-1 -I/usr/local/include/freetype2   -I/usr/local/in=
clude  -I/usr/local/include -DGIMP_DISABLE_DEPRECATED -DGDK_MULTIHEAD_SAFE =
-DGTK_MULTIHEAD_SAFE -D_THREAD_SAFE -D_REENTRANT -I/usr/local/include/poppl=
er/glib -I/usr/local/include/poppler -I/usr/local/include/glib-2.0 -I/usr/l=
ocal/lib/glib-2.0/include -I/usr/local/include/cairo -I/usr/local/include/g=
tk-2.0 -I/usr/local/lib/gtk-2.0/include -I/usr/local/include/gdk-pixbuf-2.0=
 -I/usr/local/include/pixman-1 -I/usr/local/include -I/usr/local/include/fr=
eetype2 -I/usr/local/include/pango-1.0 -I/usr/local/include/gio-unix-2.0/  =
 -O2 -fno-strict-aliasing -pipe -Wall -Wdeclaration-after-statement -Wmissi=
ng-prototypes -Wmissing-declarations -Winit-self -Wpointer-arith -Wold-styl=
e-definition -MT file_pdf-file-pdf.o -MD -MP -MF .deps/file_pdf-file-pdf.Tp=
o -c -o file_pdf-file-pdf.o `test -f 'file-pdf.c' || echo './'`file-pdf.c
file-pdf.c:30:21: error: poppler.h: No such file or directory
file-pdf.c:70: error: expected ')' before '*' token
file-pdf.c:77: error: expected ')' before '*' token
file-pdf.c:80: error: expected '=3D', ',', ';', 'asm' or '__attribute__' be=
fore '*' token
file-pdf.c:83: error: expected ')' before '*' token
file-pdf.c: In function 'run':
file-pdf.c:330: error: 'PopplerDocument' undeclared (first use in this func=
tion)
file-pdf.c:330: error: (Each undeclared identifier is reported only once
file-pdf.c:330: error: for each function it appears in.)
file-pdf.c:330: error: 'doc' undeclared (first use in this function)
file-pdf.c:331: warning: ISO C90 forbids mixed declarations and code
file-pdf.c:356: warning: implicit declaration of function 'open_document'
file-pdf.c:364: warning: implicit declaration of function 'load_dialog'
file-pdf.c:380: error: 'PopplerPage' undeclared (first use in this function)
file-pdf.c:380: error: 'test_page' undeclared (first use in this function)
file-pdf.c:380: warning: implicit declaration of function 'poppler_document=
_get_page'
file-pdf.c:405: warning: implicit declaration of function 'load_image'
file-pdf.c:449: error: 'page' undeclared (first use in this function)
file-pdf.c:453: warning: implicit declaration of function 'poppler_page_get=
_size'
file-pdf.c:458: warning: implicit declaration of function 'get_thumbnail'
file-pdf.c:458: warning: assignment makes pointer from integer without a ca=
st
file-pdf.c: At top level:
file-pdf.c:515: error: expected '=3D', ',', ';', 'asm' or '__attribute__' b=
efore '*' token
file-pdf.c:570: error: expected ')' before '*' token
file-pdf.c:680: error: expected ')' before '*' token
file-pdf.c:729: error: expected specifier-qualifier-list before 'PopplerDoc=
ument'
file-pdf.c: In function 'thumbnail_thread':
file-pdf.c:762: warning: implicit declaration of function 'poppler_document=
_get_n_pages'
file-pdf.c:762: error: 'ThreadData' has no member named 'document'
file-pdf.c:768: error: 'ThreadData' has no member named 'selector'
file-pdf.c:772: error: 'ThreadData' has no member named 'document'
file-pdf.c:773: warning: assignment makes pointer from integer without a ca=
st
file-pdf.c:777: error: 'ThreadData' has no member named 'stop_thumbnailing'
file-pdf.c: At top level:
file-pdf.c:785: error: expected ')' before '*' token
gmake[3]: *** [file_pdf-file-pdf.o] Error 1
gmake[3]: Leaving directory `/usr/ports/graphics/gimp-app/work/gimp-2.6.11/=
plug-ins/common'
gmake[2]: *** [all-recursive] Error 1
gmake[2]: Leaving directory `/usr/ports/graphics/gimp-app/work/gimp-2.6.11/=
plug-ins'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/usr/ports/graphics/gimp-app/work/gimp-2.6.11'
gmake: *** [all] Error 2
*** Error code 1

Stop in /usr/ports/graphics/gimp-app.
*** Error code 1

Stop in /usr/ports/graphics/gimp-app.
*** Error code 1

Stop in /usr/ports/graphics/gimp.
*** Error code 1

Stop in /usr/ports/graphics/gimp.

Investigating this I found poppler.h in this directory:

   /usr/local/include/poppler/glib/

on another system recently upgraded where the Gimp had built successfully.

This directory did not exist here!  That directory was the one I had to
manually delete earlier when "making clean" for graphics/poppler.  Since
this directory was not recreated (coupled with the fact that it wasn't
removed via "make deinstall") indicates there may be a problem with the
packing list of graphics/poppler.

I found the missing include files in this directory:

   /usr/ports/graphics/poppler/work/poppler-0.14.5/glib/

After I copied them to /usr/local/include/poppler/glib/ (having made it
with mkdir) I was successfully able to build the Gimp.

All this is very strange...

Regards,

web...

--
William Bulley                     Email: web@umich.edu

72 characters width template ----------------------------------------->|



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?20110128165934.GA72065>